libfuse-dev_2.9.2-4ubuntu4_i386.deb


Advertisement

Description

libfuse-dev - Filesystem in Userspace (development)

Property Value
Distribution Ubuntu 14.04 LTS (Trusty Tahr)
Repository Ubuntu Main i386
Package filename libfuse-dev_2.9.2-4ubuntu4_i386.deb
Package name libfuse-dev
Package version 2.9.2
Package release 4ubuntu4
Package architecture i386
Package type deb
Category libdevel
Homepage http://fuse.sourceforge.net/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 104.44 KB
Installed size 517.00 KB
Filesystem in Userspace (FUSE) is a simple interface for userspace programs to
export a virtual filesystem to the Linux kernel. It also aims to provide a
secure method for non privileged users to create and mount their own filesystem
implementations.
This package contains the development files.

Alternatives

Package Version Architecture Repository
libfuse-dev_2.9.2-4ubuntu4.14.04.1_i386.deb 2.9.2 i386 Ubuntu Updates Main
libfuse-dev_2.9.2-4ubuntu4.14.04.1_amd64.deb 2.9.2 amd64 Ubuntu Updates Main
libfuse-dev_2.9.2-4ubuntu4_amd64.deb 2.9.2 amd64 Ubuntu Main
libfuse-dev - - -

Requires

Name Value
libfuse2 = 2.9.2-4ubuntu4
libselinux-dev -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libfuse-dev_2.9.2-4ubuntu4_i386.deb
Source Package fuse

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libfuse-dev deb package:
    # sudo apt-get install libfuse-dev

Files

Path
/usr/include/fuse.h
/usr/include/ulockmgr.h
/usr/include/fuse/cuse_lowlevel.h
/usr/include/fuse/fuse.h
/usr/include/fuse/fuse_common.h
/usr/include/fuse/fuse_common_compat.h
/usr/include/fuse/fuse_compat.h
/usr/include/fuse/fuse_lowlevel.h
/usr/include/fuse/fuse_lowlevel_compat.h
/usr/include/fuse/fuse_opt.h
/usr/lib/i386-linux-gnu/libfuse.a
/usr/lib/i386-linux-gnu/libfuse.so
/usr/lib/i386-linux-gnu/libulockmgr.a
/usr/lib/i386-linux-gnu/libulockmgr.so
/usr/lib/i386-linux-gnu/pkgconfig/fuse.pc
/usr/share/doc/libfuse-dev/changelog.Debian.gz
/usr/share/doc/libfuse-dev/copyright
/usr/share/doc/libfuse-dev/examples/Makefile
/usr/share/doc/libfuse-dev/examples/cusexmp.c
/usr/share/doc/libfuse-dev/examples/fioc.c
/usr/share/doc/libfuse-dev/examples/fioclient.c
/usr/share/doc/libfuse-dev/examples/fsel.c
/usr/share/doc/libfuse-dev/examples/fselclient.c
/usr/share/doc/libfuse-dev/examples/fusexmp.c
/usr/share/doc/libfuse-dev/examples/fusexmp_fh.c
/usr/share/doc/libfuse-dev/examples/hello.c
/usr/share/doc/libfuse-dev/examples/hello_ll.c
/usr/share/doc/libfuse-dev/examples/null.c

Changelog

2013-12-16 - Colin Watson <cjwatson@ubuntu.com>
fuse (2.9.2-4ubuntu4) trusty; urgency=low
* Convert to dh-autoreconf in order to update libtool.m4 for new ports.
2013-10-11 - William Grant <wgrant@ubuntu.com>
fuse (2.9.2-4ubuntu3) saucy; urgency=low
* debian/patches/04-fix-arm64-int-sizes.patch: Use linux/types.h rather
than sys/types.h in include/fuse_kernel.h to fix the arm64 build.
2013-05-30 - Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>
fuse (2.9.2-4ubuntu2) saucy; urgency=low
* Correct call in debian/rules to use DEB_HOST_ARCH_OS to set setuid bit
on /bin/fusermount, which got lost in the previous upload (LP:
#1185622).
2013-05-24 - Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>
fuse (2.9.2-4ubuntu1) saucy; urgency=low
* Merge with Debian unstable. Remaining changes:
- Install ulockmgr_server in fuse-udeb.
- Install fusermount with 4755 permissions (remaining change from
"Dynamic foreground user access").
- Only change the ownership or mode of /etc/fuse.conf in postinst on
initial installation.
- Don't install the udev rules; we require the fuse module to be
built-in, and mountall handles mounting /sys/fs/fuse/connections.
* Drop cherrypick from upstream, part of this upstream:
- Fix "fuse internal error: node NNN not found" (LP: #1019806)  
* This upload fixes non-matching shared file across multiarched
libfuse2. (LP: #842405)
2013-03-10 - Daniel Baumann <mail@daniel-baumann.ch>
fuse (2.9.2-4) unstable; urgency=low
* Removing all references to my old email address.
2013-01-24 - Daniel Baumann <mail@daniel-baumann.ch>
fuse (2.9.2-3) unstable; urgency=low
* Updating year in copyright.
* Removing fuse.preinst with squeeze-to-wheezy upgrade cleanup.
* Adding dpkg-source local-options.
* Dropping dpkg-source compression level.
2012-12-13 - Daniel Baumann <mail@daniel-baumann.ch>
fuse (2.9.2-2) unstable; urgency=low
* Removing fuse group in postrm, thanks to Tom Jampen
<tom@cryptography.ch>.
* Also rebuilding initramfs on fuse removal.
* Removing pre-wheezy udev detection in postinst for device creation.
* Updating to standards version 3.9.4.
* Building without conditional multiarch support for pre-wheezy.
* Dropping pre-wheezy transitional package.
* Dropping pre-wheezy breaks against loop-aes-utils.
* Removing configuration file on purge.
2012-10-19 - Daniel Baumann <mail@daniel-baumann.ch>
fuse (2.9.2-1) unstable; urgency=low
* Merging upstream version 2.9.2.
2012-09-21 - Daniel Baumann <mail@daniel-baumann.ch>
fuse (2.9.1-1) unstable; urgency=low
* Merging upstream version 2.9.1.
2012-07-05 - Daniel Baumann <mail@daniel-baumann.ch>
fuse (2.9.0-5) unstable; urgency=low
* Adjusting permission on fusermount conditionally upon build
architecture (Closes: #680232).

See Also

Package Description
libfuse2_2.9.2-4ubuntu4_i386.deb Filesystem in Userspace (library)
libgail-3-0_3.10.8-0ubuntu1_i386.deb GNOME Accessibility Implementation Library -- shared libraries
libgail-3-dev_3.10.8-0ubuntu1_i386.deb GNOME Accessibility Implementation Library -- development files
libgail-3-doc_3.10.8-0ubuntu1_all.deb documentation files of the Gail library
libgail-common_2.24.23-0ubuntu1_i386.deb GNOME Accessibility Implementation Library -- common modules
libgail-dev_2.24.23-0ubuntu1_i386.deb GNOME Accessibility Implementation Library -- development files
libgail-doc_2.24.23-0ubuntu1_all.deb documentation files of the Gail library
libgail18_2.24.23-0ubuntu1_i386.deb GNOME Accessibility Implementation Library -- shared libraries
libgbm-dev-lts-quantal_5_i386.deb Transitional package for libgbm-dev
libgbm-dev-lts-raring_5_i386.deb Transitional package for libgbm-dev
libgbm-dev-lts-saucy_5_i386.deb Transitional package for libgbm-dev
libgbm-dev_10.1.0-4ubuntu5_i386.deb generic buffer management API -- development files
libgbm1-lts-quantal_5_i386.deb Transitional package for libgbm1
libgbm1-lts-raring_5_i386.deb Transitional package for libgbm1
libgbm1-lts-saucy_5_i386.deb Transitional package for libgbm1
Advertisement
Advertisement